<?php
/*
Plugin Name: BUN Altın / Sivas Altın Fiyatları
Plugin URI: https://bun.com.tr
Description: Bu eklenti BUN Danışmanlık tarafından ücretsiz dağıtılmaktadır. Sitenizde göstermek istediğiniz yere [sivas_altin_fiyatlari] etiketini ekleyerek kullanabilirsiniz. İrtibat 0212 935 00 11 
Version: 1.1
Author: Halis YILDIZ
Author URI: https://bun.com.tr
*/

// Stil dosyasını enqueue etmek için fonksiyon
function bun_altin_enqueue_styles() {
    wp_enqueue_style('bun-altin-style', plugins_url('/css/bun-altin-style.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'bun_altin_enqueue_styles');

// Altın fiyatlarını çekme fonksiyonu
function bun_sivas_altin_fiyatlarini_cek() {
    $url = 'https://sivaskuyumder.org.tr/guncel-altin-fiyatlari';
    $response = wp_remote_get($url);

    if (is_wp_error($response)) {
        return 'Altın fiyatlarını çekmede bir hata oluştu.';
    }

    $body = wp_remote_retrieve_body($response);

    // DOMDocument ve DOMXPath kullanarak tabloyu çıkarma
    $dom = new DOMDocument();
    libxml_use_internal_errors(true);
    $dom->loadHTML($body);
    libxml_clear_errors();

    // Stil ve script etiketlerini kaldır
    $script_tags = $dom->getElementsByTagName('script');
    while ($script_tags->length > 0) {
        $script_tags->item(0)->parentNode->removeChild($script_tags->item(0));
    }
    $style_tags = $dom->getElementsByTagName('style');
    while ($style_tags->length > 0) {
        $style_tags->item(0)->parentNode->removeChild($style_tags->item(0));
    }

    $xpath = new DOMXPath($dom);
    $table = $xpath->query('//div[@class="col-lg-6 col-md-6 col-sm-6 col-xs-12"]//table');

    if ($table->length == 0) {
        return 'Altın fiyatlarını bulmada bir hata oluştu.';
    }

    $html = '';
    foreach ($table as $node) {
        $html .= $dom->saveHTML($node);
    }

    return $html;
}

// Altın fiyatlarını göstermek için shortcode fonksiyonu
function bun_sivas_altin_fiyatlarini_goster() {
    $altin_fiyatlari = bun_sivas_altin_fiyatlarini_cek();
    return $altin_fiyatlari;
}

add_shortcode('sivas_altin_fiyatlari', 'bun_sivas_altin_fiyatlarini_goster');
